petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSAdaptCheckStage

checks whether to accept a stage, (e.g. reject and change time step size if nonlinear solve fails)

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptCheckStage(TSAdapt adapt,TS ts,PetscBool *accept)

Collective

### Input Arguments

| adapt | - adaptive controller context
| ts | - time stepper

### Output Arguments

accept -PETSC_TRUE to accept the stage, PETSC_FALSE to reject

### See Also

Level:developer
Location:src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages